%define oname   memcache-client

Name:       ruby-%{oname}
Version:    1.8.5
Release:    %mkrel 16
Summary:    A Ruby library for accessing memcached
Group:      Development/Ruby
License:    MIT
URL:        http://github.com/mperham/memcache-client
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A Ruby library for accessing memcached.

%files
%{_bindir}/memcached_top
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc LICENSE.txt README.rdoc
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.8.5-16.mga8
+ Revision: 1499818
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.8.5-15.mga7
+ Revision: 1275150
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 1.8.5-14.mga6
+ Revision: 932402
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.8.5-13.mga5
+ Revision: 749787
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.5-12.mga5
+ Revision: 688863
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.8.5-11.mga4
+ Revision: 562006
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.8.5-10.mga4
+ Revision: 561387
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.8.5-9.mga4
+ Revision: 535517
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.8.5-8.mga4
+ Revision: 482197
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 1.8.5-7.mga4
+ Revision: 480011
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.8.5-6.mga3
+ Revision: 396139
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.8.5-5.mga3
+ Revision: 381115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.8.5-4.mga3
+ Revision: 313350
- rebuild for new ruby

* Sun Feb 06 2011 shikamaru <shikamaru> 1.8.5-3.mga1
+ Revision: 47954
- Add check section and corresponding BR

* Fri Jan 28 2011 shikamaru <shikamaru> 1.8.5-2.mga1
+ Revision: 42492
- imported package ruby-memcache-client


* Fri Jan 28 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.8.5-2mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Mon Dec 20 2010 Rémy Clouard <shikamaru@mandriva.org> 1.8.5-1mdv2011.0
+ Revision: 623509
- import rubygem-memcache-client

